Subject: Fwd: Publication request for draft-spinosa-urn-lex

From: Enrico Francesconi <[email-masked]>
Date: Thu, 19 Mar 2015 23:17:13 +0100

Dear Barry,
   first of all sorry for our delay, but in this period several changes have occurred in our organization (among the others my (Enrico's) moving to Luxembourg for a role in the European Commission), so we haven’t had the chance to meet and talk about this issue regularly.
Anyway please find below our considerations:

>        On 14/dic/2014, at 20:53, Barry Leiba
>        <[email-masked]
>        <https://e-aj.my.com/compose/?mailto=[email-masked]>>
>        wrote:
> 
>        OK, I've looked again at your responses to my review, and at the
>        changes you've made.  I see that you've made some of the
>        minor changes
>        I suggested, but that you're holding firm on some of the
>        major points,
>        which you haven't made changes for. I'll come back to the two of
>        those that I think are most important:
> 
>        * You very much want to mandate a mapping between the title
>        of the
>        document and the URN.  I think this is very much
>        ill-advised. You
>        think this provides discoverability, in that someone can
>        look at a
>        document title and determine the URN without having to look
>        it up.  I
>        think this will fail miserably in practice, because there
>        are too many
>        variables and there will be no way to get it right, in general.
>        Surely it will work sometimes, but it will fail to work
>        often enough
>        that people will have to use searches to find the URN
>        anyway, and the
>        mandated mapping will simple run counter to the filing
>        systems that
>        some jurisdictions will need to use.
> 
>        So I stand by my suggestion that you make that a suggested
>        mechanism,
>        and soften the language that mandates it as the only way.

We think that there might be a misunderstanding here and probably we weren’t enough clear to describe the metadata used.
Actually urn:lex standard is not based on the title of the document: the title is suggested to be used only if the other metadata are not sufficient to guarantee the identification.
We have revised the document and we are wondering whether the term “header” might be misleading. For example when we talk about the metadata at work level, for the field <details> we say:
"<details> are the terms associated to the measure, typically the date (usually the signature date) and the number included in the heading of the act”.

For “header” here we mean the section of a legal document containing the formal parameters with which a legal document is usually identified in the legal practice, and used for example in legal citations. Let’s consider for example the following:
Legislative decree, 18 February 2015 n .7 "Urgent measures against terrorism”
We consider:
Header= Legislative decree, 18 February 2015 n .7 (metadata used: issuing authority=“state"; type of act=“legislative.decree"; date="2015-02-18"; number=“7",
hence => urn:lex:[country-code]:state:legislative.decree:2015-02-18;7) Title= "Urgent measures against terrorism” (not used)

If using the term “header” is a source of misunderstanding, we can definitely change it in something more specific.
On the other hand the use of the title is limited to the cases in which the title itself, rather than other formal parameters, is commonly used to refer to a legal act. In these cases the title is considered as an additional information that can be added to the formal parameters to facilitate the identification.
Obviously we can have such advantages by using a resolver allowing partial matches (always to be suggested), therefore able to select all the URNs having parts in common with the one deduced from the citation.
For example if "consolidated act on public procurements” is the way the "consolidated act of 20 March 2008, n. 21" is better known and typically used in citations, the related urn:lex can be created as follows
"urn:lex:it:state:consolidated.act;public.procurements:2008-03-20;21”
so that the identification of the related document can be facilitated from a citation including the title only and no other formal parameter, thus limiting the set of documents actually retrieved.

In our case the URN deduced from the citation is "urn:lex:it:state:consolidated.act;public.procurements” that matches a very little number of act URNs, probably only one.
If the title is not used, the URN derived from the citation would be “urn:lex:it:state:consolidated.act” which would retrieve back all the existing consolidated acts (on immigration, on education, etc), therefore being not enough selective.

> 
>        * There's a bunch of other stuff that I suggested that you
>        soften the
>        language about, making it clear that it's stuff you have
>        found useful,
>        without making it a mandatory part of how the URNs are done.
>        Again,
>        you think it's important to keep it as it is, and I think
>        that's very
>        much ill-advised.
> 
>        I don't see how this scheme can be generally useful as a
>        worldwide
>        "lex" URN namespace with the kinds of mandatory handling you
>        specify
>        in this document.

The set of metadata suggested in the urn:lex specifications have been selected after having analyzed the legal citations in different jurisdictions: such metadata are those ones typically used to identify legal documents in different countries. Urn:lex only formalizes such metadata in a structure and a syntax.
On the other hand, if such metadata are used in natural language citations within acts, legal doctrine articles, etc., in our opinion it means that this system is considered valid for identification. Moreover, all the legal digital archives we have analyzed make use of these metadata as primary keys for identifying legal documents.
The main difference we have found is between common law and civil law countries.
In civil law countries, citations are always made of formal parameters (type of the act, date or year, number).
In common law countries, having a lower number of laws, the use of citation including the title of the act (i.e. Human Right Act 1998) is more frequent than the use of the number (Act 1998, chapter 42). In this case using the title in a URN can facilitate document identification from its citation (see above), therefore in the case of the example the urn suggested is "urn:lex:uk:state:act;human.right:1998-11-09;42”.
Therefore the schema proposed, in our opinion, is able to cover both cases and to facilitate the construction of the URNs from citations.
However, such schema has the sufficient flexibility allowing every jurisdiction to adapt it to different needs.

> 
>        If you absolutely insist on leaving it as it is, I will go
>        ahead and
>        ask someone to be a document shepherd so we can process this
>        document
>        and its registration... and the document shepherd will weigh
>        in with
>        his opinion (which I will not influence), so you'll get
>        another view
>        on this.  After that it would go out for last call to get
>        the IETF's
>        and the IESG's view, and see where we are.
> 
>        I'll stress that I think it's valuable to register this and
>        have the
>        details recorded, so I *want* this to go forward.  I'd just
>        rather see
>        it go forward in a form that's flexible enough to actually
>        be useful
>        internationally, while still representing your model for how
>        you'd
>        like the URNs to be formed.  My view is that if you put it
>        that way,
>        then anyone who wants to play your way can do so... and that
>        it's best
>        not to *require* that in order for "urn:lex:" URNs to
>        confirm to this
>        spec.
> 
>        Let me know whether you'd like to continue discussing this,
>        or whether
>        you'd like me to find a shepherd now, and get a new opinion
>        on it.

We do hope to have clarified the issues you raised and that we can find a common agreement as well as the right form in which this spec can be confirmed.

Best regards
   Pierluigi and Enrico

>        Barry

--
---------------------------------------------------------
Enrico Francesconi
ITTIG - CNR
Institute of Legal Information Theory and Techniques
Italian National Research Council

Via de' Barucci 20
50127 Florence
Italy

Tel: +39 055 4399665
Fax: +39 055 4399605
email:[email-masked]
---------------------------------------------------------